Subject: bug#49919: closed (Re: [bug#49919] [PATCH core-updates 0/2] build-system/go: Enable parallelism.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Jan 2024 20:51:02 +0000

Your bug report

#49919: [PATCH core-updates 0/2] build-system/go: Enable parallelism.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49919: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#49919] [PATCH core-updates 0/2] build-system/go: Enable parallelism.
From: Maxim Cournoyer <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked], Sarah Morgensen <[email-masked]>, Efraim Flashner <[email-masked]>
Date: Sat, 20 Jan 2024 15:49:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Mathieu Othacehe <[email-masked]> writes:

> Hey,
>
>> Friendly ping to see if Cuirass is ready for these patches to be pushed.
>
> Not really, I need to reconfigure Berlin and I'm hitting multiple
> issues, such as a php build failure :(.

Queued for applying locally, at last.  Closing.

-- 
Thanks,
Maxim

Subject: [PATCH core-updates 0/2] build-system/go: Enable parallelism.
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Fri, 6 Aug 2021 21:45:57 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

These patches give the Go build system the standard parallelism levers. I would
have thought that Go was already detecting the correct number for GOMAXPROCS,
but after I made this same change for the bootstrapping Go compiler, Efraim
found that it cut the build time nearly in half [0].

[0] https://issues.guix.gnu.org/49616

--
Sarah Morgensen (2):
  build-system/go: Honor #:parallel-build?.
  build-system/go: Honor #:parallel-tests?.

 guix/build-system/go.scm       |  5 +++++
 guix/build/go-build-system.scm | 12 ++++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

base-commit: 693d75e859150601145b7f7303f61d4f48e76927
-- 
2.31.1